/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { SeriesDescription } from "./SeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let FinancialSeriesDescription = /*@__PURE__*/ (() => {
    class FinancialSeriesDescription extends SeriesDescription {
        get_type() {
            return "FinancialSeries";
        }
        constructor() {
            super();
            this.ei = null;
            this.eo = null;
            this.ep = null;
            this.ej = null;
            this.eg = null;
            this.eh = null;
            this.ea = null;
            this.en = null;
            this.ee = null;
            this.ec = null;
            this.ed = null;
            this.eb = null;
            this.ef = null;
            this.d5 = false;
            this.ek = null;
            this.d6 = false;
            this.d9 = null;
            this.el = null;
            this.em = null;
        }
        get negativeBrush() {
            return this.ei;
        }
        set negativeBrush(a) {
            this.ei = a;
            this.g("NegativeBrush");
        }
        get xAxisRef() {
            return this.eo;
        }
        set xAxisRef(a) {
            this.eo = a;
            this.g("XAxisRef");
        }
        get yAxisRef() {
            return this.ep;
        }
        set yAxisRef(a) {
            this.ep = a;
            this.g("YAxisRef");
        }
        get openMemberPath() {
            return this.ej;
        }
        set openMemberPath(a) {
            this.ej = a;
            this.g("OpenMemberPath");
        }
        get highMemberPath() {
            return this.eg;
        }
        set highMemberPath(a) {
            this.eg = a;
            this.g("HighMemberPath");
        }
        get lowMemberPath() {
            return this.eh;
        }
        set lowMemberPath(a) {
            this.eh = a;
            this.g("LowMemberPath");
        }
        get closeMemberPath() {
            return this.ea;
        }
        set closeMemberPath(a) {
            this.ea = a;
            this.g("CloseMemberPath");
        }
        get volumeMemberPath() {
            return this.en;
        }
        set volumeMemberPath(a) {
            this.en = a;
            this.g("VolumeMemberPath");
        }
        get highlightedOpenMemberPath() {
            return this.ee;
        }
        set highlightedOpenMemberPath(a) {
            this.ee = a;
            this.g("HighlightedOpenMemberPath");
        }
        get highlightedHighMemberPath() {
            return this.ec;
        }
        set highlightedHighMemberPath(a) {
            this.ec = a;
            this.g("HighlightedHighMemberPath");
        }
        get highlightedLowMemberPath() {
            return this.ed;
        }
        set highlightedLowMemberPath(a) {
            this.ed = a;
            this.g("HighlightedLowMemberPath");
        }
        get highlightedCloseMemberPath() {
            return this.eb;
        }
        set highlightedCloseMemberPath(a) {
            this.eb = a;
            this.g("HighlightedCloseMemberPath");
        }
        get highlightedVolumeMemberPath() {
            return this.ef;
        }
        set highlightedVolumeMemberPath(a) {
            this.ef = a;
            this.g("HighlightedVolumeMemberPath");
        }
        get isCustomCategoryStyleAllowed() {
            return this.d5;
        }
        set isCustomCategoryStyleAllowed(a) {
            this.d5 = a;
            this.g("IsCustomCategoryStyleAllowed");
        }
        get transitionInMode() {
            return this.ek;
        }
        set transitionInMode(a) {
            this.ek = a;
            this.g("TransitionInMode");
        }
        get isTransitionInEnabled() {
            return this.d6;
        }
        set isTransitionInEnabled(a) {
            this.d6 = a;
            this.g("IsTransitionInEnabled");
        }
        get assigningCategoryStyleRef() {
            return this.d9;
        }
        set assigningCategoryStyleRef(a) {
            this.d9 = a;
            this.g("AssigningCategoryStyleRef");
        }
        get typicalRef() {
            return this.el;
        }
        set typicalRef(a) {
            this.el = a;
            this.g("TypicalRef");
        }
        get typicalBasedOnRef() {
            return this.em;
        }
        set typicalBasedOnRef(a) {
            this.em = a;
            this.g("TypicalBasedOnRef");
        }
    }
    FinancialSeriesDescription.$t = /*@__PURE__*/ markType(FinancialSeriesDescription, 'FinancialSeriesDescription', SeriesDescription.$);
    return FinancialSeriesDescription;
})();
